package com.takensoft.cms.author.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 권한 정보 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class AuthorVO {
    /**
     * 권한코드
     */
    private String authrtCd;
    /**
     * 변경전 권한코드
     */
    private String originAuthrtCd;
    /**
     * 권한명
     */
    private String authrtNm;
    /**
     * 권한 사용자
     */
    private String mbrId;
    /**
     * 권한설명
     */
    private String authrtExpln;
    /**
     * 사용여부
     */
    private String useYn;
    /**
     * 시스템 제공 여부 -> 시스템에서 제공되는 데이터는 사용자가 제거하지 못하도록 하기 위한 설정값
     * 0: 시스템, 1: 사용자
     */
    private String sysPvsnYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록자명
     */
    private String rgtrNm;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정자명
     */
    private String mdfrNm;
    /**
     * 수정일
     */
    private String mdfcnDt;

}
