package com.takensoft.cms.bbs.dao;

import com.takensoft.cms.bbs.vo.WordMngVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author  : 하석형
 * @since   : 2024.05.31
 *
 * 금지어 관련 Mapper
 */
@Mapper("wordMngDAO")
public interface WordMngDAO {
    public int saveWords(WordMngVO wordMngVO) throws Exception;

    public List<WordMngVO> findAllWord(Pagination search) throws Exception;

    public int findAllCnt(Pagination search) throws Exception;

    public int deleteWords(int word) throws Exception;

    public List<String> findWordList() throws Exception;
}
