package com.takensoft.cms.bbs.vo;

import lombok.Data;

/**
 * @author  : 박정하
 * @since   : 2024.05.08
 *
 * 게시판 유형 관리 관련 VO
 */
@Data
public class BbsTypeMngVO {
    /**
     * 게시판유형아이디
     */
    private String bbsTypeId;
    /**
     * 게시판유형한글명
     */
    private String bbsTypeKornNm;
    /**
     * 게시판유형영문명
     */
    private String bbsTypeEngNm;
    /**
     * 게시판유형
     */
    private String bbsType;
    /**
     * 페이지경로
     */
    private String pageCrs;
    /**
     * 컴포넌트경로
     */
    private String compnCrs;
    /**
     * 노출여부
     * Y: 예, N: 아니오
     */
    private String expsrYn;
    /**
     * 사용여부
     * Y: 사용, N: 미사용
     */
    private String useYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일
     */
    private String mdfcnDt;
}