package com.takensoft.cms.contsType.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author  : takensoft
 * @since   : 2024.04.17
 *
 * 콘텐츠 유형 관리 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class ContsTypeVO {
    /**
     * 콘텐츠 아이디
     */
    private String contsId;
    /**
     * 콘텐츠 한글명
     */
    private String contsKornNm;
    /**
     * 콘텐츠 영문명
     */
    private String contsEngNm;
    /**
     * 사용자 페이지 경로
     */
    private String pageCrs;
    /**
     * 관리자 페이지 경로
     */
    private String mngrPageCrs;
    /**
     * 컴포넌트 경로
     */
    private String compnCrs;
    /**
     * 노출여부
     */
    private String expsrYn;
    /**
     * 사용여부
     */
    private String useYn;
    /**
     * 시스템 제공 여부
     */
    private String sysPvsnYn;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
    /**
     * 수정자
     */
    private String mdfr;
    /**
     * 수정일
     */
    private String mdfcnDt;
}
