package com.takensoft.cms.dept.vo;

import lombok.*;

/**
 * @author  : takensoft
 * @since   : 2024.04.25
 *
 * 부서 권한 정보 관련 VO
 */
@Getter
@Setter
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DeptAuthrtVO {
    /**
     * 부서 아이디
     */
    private String deptId;
    /**
     * 권한 코드
     */
    private String authrtCd;
    /**
     * 작성자
     */
    private String rgtr;
    /**
     * 작성일
     */
    private String regDt;
}
