package com.takensoft.cms.dept.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author  : takensoft
 * @since   : 2024.04.26
 *
 * 부서 사용자 정보 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class DeptMbrVO {
    /**
     * 부서 아이디
     */
    private String deptId;
    /**
     * 회원 아이디
     */
    private String mbrId;
    /**
     * 로그인 아이디
     */
    private String lgnId;
    /**
     * 회원 이름
     */
    private String mbrNm;
    /**
     * 닉네임
     */
    private String ncnm;
    /**
     * 이메일
     */
    private String eml;
    /**
     * 연락처
     */
    private String mblTelno;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
}
