package com.takensoft.cms.mber.vo;

import lombok.*;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * 회원 권한 정보 관련 VO
 */
@Getter
@Setter
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MberAuthorVO {
    /**
     * 회원 아이디
     */
    private String mbrId;
    /**
     * 권한명
     */
    private String authrtNm;
    /**
     * 권한 코드
     */
    private String authrtCd;
    /**
     * 등록자
     */
    private String rgtr;
    /**
     * 등록일
     */
    private String regDt;
}