package com.takensoft.cms.mber.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;

/**
 * @author  : takensoft
 * @since   : 2024.04.01
 *
 * RefreshToken 정보 관련 VO
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class RefreshVO {
    /**
     * 회원 아이디
     */
    private String mbrId;
    /**
     * 토큰
     */
    private String token;
    /**
     * 만료기간 expry_dt expryYmd
     */
    private Date expryDt;
    /**
     * 사용중인 아이피
     */
    private String useIp;
}
