package com.takensoft.cms.menu.dao;

import com.takensoft.cms.author.vo.AuthorVO;
import com.takensoft.cms.menu.vo.MenuAuthorVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.05.07
 *
 * 메뉴 권한 정보 관련 Mapper
 */
@Mapper("menuAuthorDAO")
public interface MenuAuthorDAO {
    /**
     * @author takensoft
     * @since 2024.04.15
     * 메뉴별 권한 등록
     */
    public int menuAuthrtSave(MenuAuthorVO menuAuthorVO);

    /**
     * @author 박정하
     * @since 2024.05.02
     * 메뉴 권한 수정
     */
    public int updateMenuAuthrt(HashMap<String, Object> params) throws Exception;

    /**
     * @author 박정하
     * @since 2024.05.08
     * 메뉴 권한 조회
     */
    public List<HashMap<String, Object>> findAll(AuthorVO authorVO) throws Exception;
}