package com.takensoft.cms.menu.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.05.09
 *
 * 메뉴 호출(권한, 라우터 정보 포함)
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class SysMenuVO {

    /**
     * 메뉴 아이디
     */
    String menuId;
    /**
     * 상위 메뉴 아이디
     */
    String upMenuId;
    /**
     * 메뉴명
     */
    String menuNm;
    /**
     * 라우터 경로
     */
    private String routerUrl;
    /**
     * 링크 타입
     */
    private String linkType;
    /**
     * 메뉴 타입
     */
    private String menuType;
    /**
     * 메뉴 타입 카테고리
     */
    private String menuTypeCtgry;
    /**
     * 자식 메뉴
     */
    List<SysMenuVO> childList = new ArrayList<SysMenuVO>();

}
