package com.takensoft.portal.entInfo.vo;

import lombok.Data;

/**
 * @author  : 박정하
 * @since   : 2024.06.10
 *
 * 기업주요사업장 관련 VO
 */
@Data
public class BplcVO {
    // 주요사업장아이디
    private Integer bplcId;
    // 기업아이디
    private String entId;
    // 근로자수
    private Integer wrkrCnt;
    // 사업장위치
    private String bplcAddr;
    // 사용여부
    // Y: 사용
    // N: 미사용
    private String useYn = "Y";
    // 등록자
    private String rgtr;
    // 등록일
    private String regDt;
    // 수정자
    private String mdfr;
    // 수정일
    private String mdfcnDt;
    // 사업장명
    private String bplcNm;
    // 주생산품
    private String mainPrdt;
    // 대지면적
    private String bplcSiar;
    // 공장면적
    private String fctryArea;
    // 대지면적단위
    private String bplcSiarUnit = "";
    // 공장면적단위
    private String fctryAreaUnit = "";
}