package com.takensoft.portal.main.dao;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 박정하
 * @since   : 2024.05.29
 *
 * 메인 관련 Mapper
 */
@Mapper("governmentMainDAO")
public interface GovernmentMainDAO {
    /**
     * @author  : 박정하
     * @since   : 2024.06.03
     *
     * 공무원 메인페이지 통계정보 조회 : 분류별 통계
     */
    public List<HashMap<String, Object>> selectCategoryStats(HashMap<String, String> params) throws Exception;
    
    /**
     * @author  : 박정하
     * @since   : 2024.06.03
     *
     * 공무원 메인페이지 통계정보 조회 : 상담신청 통계
     */
    public List<HashMap<String, Object>> selectEntDscsnAplyStats(HashMap<String, String> params) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.03
     *
     * 공무원 메인페이지 통계정보 조회 : 검토사항 통계
     */
    public List<HashMap<String, Object>> selectRvwMttrStats(HashMap<String, String> params) throws Exception;
}