package com.takensoft.cms.cntnStats.dto;

import lombok.*;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.05.23
 *
 * 접속 통계 관련 DTO
 */
@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ToString
public class CntnStatsDTO {
    /**
     * 타입 아이디
     */
    private String typeId;
    /**
     * 권한 목록
     */
    private List<String> mbrAuthList = new ArrayList<String>();
}
