package com.takensoft.cms.mber.dao;

import com.takensoft.cms.mber.vo.LgnHstryVO;
import com.takensoft.cms.popup.vo.PopupVO;
import com.takensoft.common.Pagination;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.04.09
 *
 * 로그인 이력 관련 Mapper
 */
@Mapper("lgnHstryDAO")
public interface LgnHstryDAO {
    /**
     * @author takensoft
     * @since 2024.04.09
     * 로그인 이력 등록
     */
    int save(LgnHstryVO lgnHstryVO);

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 로그인 이력 목록 갯수
     */
    public int selectLgnHstryListCnt(Pagination pagination) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 로그인 이력 목록 조회
     */
    public List<LgnHstryVO> selectLgnHstryList(Pagination pagination) throws Exception;
}