package com.takensoft.cms.mber.service;

import com.takensoft.cms.mber.vo.LgnHstryVO;

import java.util.HashMap;

/**
 * @author  : takensoft
 * @since   : 2024.04.09
 *
 * 로그인 이력 정보 관련 인터페이스
 */
public interface LgnHstryService {
    /**
     * @author takensoft
     * @since 2024.04.09
     * 로그인 이력 등록
     */
    public int LgnHstrySave(LgnHstryVO lgnHstryVO) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.05.13
     *
     * 로그인 이력 목록 조회
     */
    public HashMap<String, Object> lgnHstryList(HashMap<String, String> params) throws Exception;
}