package com.takensoft.cms.menu.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * @author  : takensoft
 * @since   : 2024.05.09
 *
 * 메뉴 조회 파라미터
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class MenuRequest {
    /**
     * 메뉴 아이디
     */
    private String menuId;
    /**
     * 권한정보
     */
    private List<String> roles;
    /**
     * 메뉴 종류
     */
    private String menuType;

    /**
     * 반복 방지
     */
    private boolean chck = true;
}
