package com.takensoft.cms.popup.vo;

import lombok.Data;

import java.util.HashMap;
import java.util.List;

/**
 * @author  : 박정하
 * @since   : 2024.05.13
 *
 * 팝업 관련 VO
 */
@Data
public class PopupVO {
    // 팝업아이디
    private String popupId;
    // 팝업제목
    private String popupTtl;
    // 시작일
    private String bgngDt;
    // 종료일
    private String endDt;
    // 가로길이    
    private int wdthLen;
    // 세로길이
    private int vrtcLen;
    // 팝업유형
    private String popupType;
    // 팝업사용여부
    private String popupUseYn;
    // 동영상URL
    private String vdoUrl;
    // 링크 URL
    private String linkUrl;
    // 파일 관리 아이디
    private String fileMngId;
    // 순서
    private int sn;
    // 페이지 타입(팝업노출페이지)
    private String pageType;
    // 사용여부
    private String useYn;
    // 등록자
    private String rgtr;
    // 등록일
    private String regDt;
    // 수정자
    private String mdfr;
    // 수정일
    private String mdfcnDt;

    // 팝업사이즈타입
    private String popupSizeType;
    // 팝업사이즈
    private String popupSize;
    // 등록자명
    private String mbrNm;
    // 삭제 파일 목록
    private List<HashMap<String, Object>> deleteFileList;
}