package com.takensoft.cms.search.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @author  : 하석형
 * @since   : 2024.06.12
 *
 * 통합 검색 메뉴 관련 VO
 */
@Getter
@Setter
public class SearchMenuVO {
    /**
     * 상위 메뉴 아이디
     */
    private String upMenuId;
    /**
     * 메뉴 아이디
     */
    private String menuId;
    /**
     * 전체 메뉴 명 (상위메뉴명 + 메뉴명)
     */
    private String fullMenuNm;
    /**
     * 라우터 경로
     */
    private String routerUrl;
    /**
     * 전체 목록 개수
     */
    private int totalListCount;
    /**
     * 미리보기 목록
     */
    private List<SearchContentVO> previewList = new ArrayList<>();
}
