package com.takensoft.portal.entDscsnAply.vo;

import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * @author  : 박정하
 * @since   : 2024.04.02
 *
 * 기업상담신청 관련 VO
 */
@Data
public class EntDscsnAplyVO {
    // 기업상담신청 아이디
    private String entDscsnAplyId;
    // 신청자 이름
    private String aplcntNm;
    // 연락처
    private String telno;
    // 이메일
    private String eml;
    // 신청내용
    private String aplyCn;
    // 파일관리 아이디
    private String fileMngId;
    // 조치자
    private String actnPic;
    // 조치일
    private String actnDt;
    // 비고
    private String rmrk;
    // 처리상태
    private String prcsStts;
    // 사용여부
    private String useYn;
    // 신청자 아이피
    private String aplcntIp;
    // 등록일
    private String regDt;

    // 첨부파일 목록
    List<HashMap<String, Object>> fileList = new ArrayList<>();
    // 첨부파일 등록 목록
    List<MultipartFile> insertFileList = new ArrayList<>();
    // 첨부파일 삭제 목록
    List<HashMap<String, Object>> deleteFileList = new ArrayList<>();

    // 기업명
    private String entNm;
    // 조치자 이름
    private String mbrNm;
}