package com.takensoft.portal.rvwMttr.dao;

import com.takensoft.portal.rvwMttr.vo.RvwMttrPrgrsVO;
import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

/**
 * @author  : 박정하
 * @since   : 2024.03.29
 *
 * 검토사항진행 관련 Mapper
 */
@Mapper("rvwMttrPrgrsDAO")
public interface RvwMttrPrgrsDAO {
    /**
     * @author 박정하
     * @since 2024.04.25
     *
     * 검토사항진행 등록
     */
    public int prgrsInsert(RvwMttrPrgrsVO rvwMttrPrgrsVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.25
     *
     * 검토사항진행 수정
     */
    public int prgrsUpdate(RvwMttrPrgrsVO rvwMttrPrgrsVO) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.01
     *
     * 검토사항진행 삭제
     */
    public int prgrsDelete(int rvwMttrPrgrsId) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.04
     *
     * 검토사항진행 삭제 (검토사항 삭제용)
     */
    public int prgrsDeleteForRvwMttr(String rvwMttrId) throws Exception;
}