package com.takensoft.portal.rvwMttr.service;

import com.takensoft.portal.rvwMttr.vo.RvwMttrPrgrsVO;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.03.29
 *
 * 검토사항진행 관련 인터페이스
 */
public interface RvwMttrPrgrsService {
    /**
     * @author 박정하
     * @since 2024.04.25
     *
     * 검토사항진행 등록
     */
    public int prgrsListInsert(String rvwMttrId, List<RvwMttrPrgrsVO> prgrsList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.25
     *
     * 검토사항진행 수정
     */
    public int prgrsListUpdate(List<RvwMttrPrgrsVO> prgrsList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.04.01
     *
     * 검토사항진행 삭제
     */
    public int prgrsListDelete(List<RvwMttrPrgrsVO> prgrsList) throws Exception;

    /**
     * @author 박정하
     * @since 2024.06.04
     *
     * 검토사항진행 삭제 (검토사항 삭제용)
     */
    public int prgrsDeleteForRvwMttr(String rvwMttrId) throws Exception;
}