package com.takensoft.portal.rvwMttr.vo;

import lombok.Data;

/**
 * @author  : 박정하
 * @since   : 2024.03.29
 *
 * 검토사항진행 관련 VO
 */
@Data
public class RvwMttrPrgrsVO {
    private Integer rvwMttrPrgrsId; // 검토사항진행 아이디
    private String rvwMttrId;   // 검토사항 아이디
    private String picId;       // 담당자 아이디
    private String prgrsCrs = ""; // 진행단계
    private String prgrsDt;     // 진행일
    private String sprtMthd;    // 지원방안
    private String rgtr;        // 등록자
    private String regDt;       // 등록일
    private String mdfr;        // 수정자
    private String mdfcnDt;     // 수정일

    // 담당자 이름
    private String picNm;
}