package com.takensoft.portal.statistics.dao;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import java.util.*;

/**
 * @author  : 박정하
 * @since   : 2024.06.13
 *
 * 통계 관련 Mapper
 */
@Mapper("statisticsDAO")
public interface StatisticsDAO {
    /**
     * @author  : 박정하
     * @since   : 2024.06.13
     *
     * 분류별 통계 조회
     */
    public List<HashMap<String, Object>> categoryStatistics(HashMap<String, String> params) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.13
     *
     * 검토사항 통계 조회
     */
    public List<HashMap<String, Object>> rvwMttrStatistics(HashMap<String, String> params) throws Exception;

    /**
     * @author  : 박정하
     * @since   : 2024.06.14
     *
     * 상담신청 통계 조회
     */
    public List<HashMap<String, Object>> consultationStatistics(HashMap<String, String> params) throws Exception;
}